Page MenuHomePhabricator

Productionize old/temporary eqiad sanitariums
Closed, ResolvedPublic

Description

The following hosts should be productionized once they stop being used

They are old/temporary sanitarium hosts.

  • db1095 (C3) (backup source host T201392)
  • db1120 (C5) pooled in x1

Event Timeline

Marostegui changed the task status from Open to Stalled.Jun 4 2018, 3:13 PM
Marostegui triaged this task as Medium priority.
Marostegui created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 3:13 PM

Change 437418 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1120 to spare

https://gerrit.wikimedia.org/r/437418

Change 437418 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1120 to spare

https://gerrit.wikimedia.org/r/437418

Script wmf-auto-reimage was launched by marostegui on neodymium.eqiad.wmnet for hosts:

['db1120.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201806050917_marostegui_5963.log.

Change 437423 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] sX.hosts: Remove db1120

https://gerrit.wikimedia.org/r/437423

Change 437423 merged by jenkins-bot:
[operations/software@master] sX.hosts: Remove db1120

https://gerrit.wikimedia.org/r/437423

Completed auto-reimage of hosts:

['db1120.eqiad.wmnet']

and were ALL successful.

Marostegui changed the task status from Stalled to Open.Jun 5 2018, 9:35 AM
Marostegui updated the task description. (Show Details)

Change 437687 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Convert db1116 to spare

https://gerrit.wikimedia.org/r/437687

Change 437687 merged by Marostegui:
[operations/puppet@production] mariadb: Convert db1116 to spare

https://gerrit.wikimedia.org/r/437687

Script wmf-auto-reimage was launched by marostegui on neodymium.eqiad.wmnet for hosts:

['db1116.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201806060947_marostegui_19240.log.

Completed auto-reimage of hosts:

['db1116.eqiad.wmnet']

and were ALL successful.

Marostegui updated the task description. (Show Details)Jun 6 2018, 10:06 AM

Change 437711 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] sX.hosts: Remove db1116

https://gerrit.wikimedia.org/r/437711

Change 437711 merged by jenkins-bot:
[operations/software@master] sX.hosts: Remove db1116

https://gerrit.wikimedia.org/r/437711

Change 437720 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1095 as spare, remove unused code

https://gerrit.wikimedia.org/r/437720

Change 437720 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1095 as spare, remove unused code

https://gerrit.wikimedia.org/r/437720

Script wmf-auto-reimage was launched by marostegui on neodymium.eqiad.wmnet for hosts:

['db1095.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201806260522_marostegui_574.log.

Change 442013 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] s*.hosts: Remove db1095

https://gerrit.wikimedia.org/r/442013

Change 442013 merged by jenkins-bot:
[operations/software@master] s*.hosts: Remove db1095

https://gerrit.wikimedia.org/r/442013

Completed auto-reimage of hosts:

['db1095.eqiad.wmnet']

and were ALL successful.

Marostegui updated the task description. (Show Details)Jun 26 2018, 5:43 AM

Change 442016 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1102 as spare

https://gerrit.wikimedia.org/r/442016

Change 442017 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] s*.hosts: Remove db1102

https://gerrit.wikimedia.org/r/442017

Change 442017 merged by jenkins-bot:
[operations/software@master] s*.hosts: Remove db1102

https://gerrit.wikimedia.org/r/442017

Change 442016 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1102 as spare

https://gerrit.wikimedia.org/r/442016

Script wmf-auto-reimage was launched by marostegui on neodymium.eqiad.wmnet for hosts:

['db1102.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201806260632_marostegui_16518.log.

Completed auto-reimage of hosts:

['db1102.eqiad.wmnet']

and were ALL successful.

Marostegui updated the task description. (Show Details)Jun 26 2018, 7:37 AM
Vvjjkkii renamed this task from Productionize old/temporary eqiad sanitariums to fobaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Marostegui renamed this task from fobaaaaaaa to Productionize old/temporary eqiad sanitariums.Jul 2 2018, 5:02 AM
Marostegui lowered the priority of this task from High to Medium.
Marostegui updated the task description. (Show Details)

I will take db1120 (row C) instead of db1116 as db1116 is in row A (like db1069 - x1 master).
The slave db1064 is in row D, so that way we have all the 3 hosts in different rows.

Change 447021 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Specify db1120 future location

https://gerrit.wikimedia.org/r/447021

Change 447021 merged by Marostegui:
[operations/puppet@production] site.pp: Specify db1120 future location

https://gerrit.wikimedia.org/r/447021

Change 447811 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Add db1120 to x1

https://gerrit.wikimedia.org/r/447811

Change 447811 merged by Marostegui:
[operations/puppet@production] mariadb: Add db1120 to x1

https://gerrit.wikimedia.org/r/447811

Script wmf-auto-reimage was launched by marostegui on neodymium.eqiad.wmnet for hosts:

['db1120.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201807251436_marostegui_14986.log.

Completed auto-reimage of hosts:

['db1120.eqiad.wmnet']

and were ALL successful.

Change 449118 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1120: Enable notifications

https://gerrit.wikimedia.org/r/449118

Change 449118 merged by Marostegui:
[operations/puppet@production] db1120: Enable notifications

https://gerrit.wikimedia.org/r/449118

Change 449123 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db1120 to x1

https://gerrit.wikimedia.org/r/449123

Change 449123 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db1120 to x1

https://gerrit.wikimedia.org/r/449123

Mentioned in SAL (#wikimedia-operations) [2018-07-30T07:28:13Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Add db1120 to x1 T196376 (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2018-07-30T07:29:21Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Add db1120 to x1 T196376 (duration: 00m 54s)

Marostegui updated the task description. (Show Details)Jul 30 2018, 7:54 AM

db1120 is now serving traffic in x1

Marostegui updated the task description. (Show Details)Aug 7 2018, 9:19 AM
jcrespo updated the task description. (Show Details)Aug 7 2018, 9:58 AM

Change 450990 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Repool es1019 and db1102 with low load after maintenance

https://gerrit.wikimedia.org/r/450990

Change 450990 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Repool es1019 and db1102 with low load after maintenance

https://gerrit.wikimedia.org/r/450990

Change 450994 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Repool db1081 with low load after maintenance

https://gerrit.wikimedia.org/r/450994

Change 450994 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Repool db1081 with low load after maintenance

https://gerrit.wikimedia.org/r/450994

Marostegui moved this task from Next to Backlog on the DBA board.Sep 12 2018, 5:23 AM
jcrespo claimed this task.Sep 27 2018, 1:59 PM
jcrespo moved this task from Backlog to In progress on the DBA board.

I am going to take the spare host and use it to finish eqiad backups (temporary) setup.

Change 463268 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb backups: Convert db1116 into an eqiad backup source host

https://gerrit.wikimedia.org/r/463268

Change 463268 merged by Jcrespo:
[operations/puppet@production] mariadb backups: Convert db1116 into an eqiad backup source host

https://gerrit.wikimedia.org/r/463268

jcrespo closed this task as Resolved.Sep 28 2018, 2:42 PM
jcrespo reassigned this task from jcrespo to Marostegui.

All hosts setup and in production usage.

jcrespo updated the task description. (Show Details)Sep 28 2018, 2:42 PM
Marostegui updated the task description. (Show Details)Sep 28 2018, 2:43 PM
Marostegui updated the task description. (Show Details)